org.eclipse.incquery.runtime.localsearch.planner

## Class PlanState

- java.lang.Object
- - org.eclipse.incquery.runtime.localsearch.planner.PlanState

-     public class PlanState
      extends java.lang.Object

  This class represents the state of the plan during planning
  Author:
    Marton Bur

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PlanState(PBody pBody, java.util.List<PConstraintInfo> operationsList, java.util.Set<PVariable> boundVariables)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `PBody` | `getAssociatedPBody()`
    `java.util.Set<PVariable>` | `getBoundVariables()`
    `float` | `getCost()`
    `java.util.List<PConstraintInfo>` | `getFutureChecks()`
    `java.util.List<PConstraintInfo>` | `getFutureExtends()`
    `java.util.List<PConstraintInfo>` | `getOperations()`
    `java.util.List<PConstraintInfo>` | `getPresentExtends()`
    `void` | `updateOperations(java.util.List<PConstraintInfo> allPotentialExtendInfos, java.util.List<PConstraintInfo> allPotentialChecks)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PlanState

          public PlanState(PBody pBody,
                           java.util.List<PConstraintInfo> operationsList,
                           java.util.Set<PVariable> boundVariables)

  - ### Method Detail

    - #### updateOperations

          public void updateOperations(java.util.List<PConstraintInfo> allPotentialExtendInfos,
                                       java.util.List<PConstraintInfo> allPotentialChecks)

    - #### getAssociatedPBody

          public PBody getAssociatedPBody()

    - #### getOperations

          public java.util.List<PConstraintInfo> getOperations()

    - #### getBoundVariables

          public java.util.Set<PVariable> getBoundVariables()

    - #### getCost

          public float getCost()

      Returns:
        the derived cost of the plan contained in the state

    - #### getFutureChecks

          public java.util.List<PConstraintInfo> getFutureChecks()

    - #### getFutureExtends

          public java.util.List<PConstraintInfo> getFutureExtends()

    - #### getPresentExtends

          public java.util.List<PConstraintInfo> getPresentExtends()